Publix
Learn how to start scraping Publix.
With Web Scraper API, you can scrape various types of Publix pages; below is an overview of all supported scrapers and their respective source values. The response returns the page HTML in content, in the standard response structure described in Realtime and Push-Pull.
publix_search
Search page for a search term of your choice.
publix_product
Product page of a product ID of your choice.
Any other Publix page can be scraped by passing its url alone, no source needed.
Search
Request samples
curl 'https://realtime.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
"source": "publix_search",
"query": "wings"
}'import requests
from pprint import pprint
# Structure payload.
payload = {
'source': 'publix_search',
'query': 'wings'
}
# Get response.
response = requests.request(
'POST',
'https://realtime.oxylabs.io/v1/queries',
auth=('USERNAME', 'PASSWORD'),
json=payload
)
# Instead of response with job status and results url, this will return the
# JSON response with the result.
pprint(response.json())Request parameter values
source
Sets the scraper.
publix_search
query
The keyword or phrase to search for products.
-
- mandatory parameter
Product
Request samples
Request parameter values
source
Sets the scraper.
publix_product
product_id
The product ID at the end of the product page URL, e.g. publix.com/pd/publix-deli-ultimate-sub/BMO-DSB-100017.
-
- mandatory parameter
Localization and Filtering
store_id
publix_search, publix_product
Publix store number as an integer, e.g. 24. The page then shows that store's assortment and prices. The available store numbers are listed in the file below.
-
Find the available Publix store numbers below:
Last updated
Was this helpful?